Discussion:
cannot resolve eclipselink target platform
(too old to reply)
t***@tfsw.de
2018-07-17 13:28:29 UTC
Permalink
Hi,

I have an RCP application which has been successfully building using a
target platform definition for years. I now added Eclipselink as a
target location:

<location includeAllPlatforms="false" includeConfigurePhase="true"
includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.persistence.sdk.feature.group"
version="2.7.2.v20180622-f627448"/>
<repository location="http://download.eclipse.org/rt/eclipselink/updates/"/>
</location>

Now when trying to run mvn clean verify, the build fails because:


[ERROR] Cannot resolve target definition:
[ERROR] Software being installed:
org.eclipse.persistence.sdk.feature.group 2.7.2.v20180622-f627448
[ERROR] Missing requirement: jaxb-core 2.2.11.v201407311112 requires
'java.package; javax.lang.model 0.0.0' but it could not be found
[ERROR] Cannot satisfy dependency:
org.eclipse.persistence.moxy.feature.group 2.7.2.v20180622-f627448
depends on: org.eclipse.equinox.p2.iu; jaxb-core
[2.2.11.v201407311112,2.2.11.v201407311112]
[ERROR] Cannot satisfy dependency:
org.eclipse.persistence.sdk.feature.group 2.7.2.v20180622-f627448
depends on: org.eclipse.equinox.p2.iu;
org.eclipse.persistence.moxy.feature.group
[2.7.2.v20180622-f627448,2.7.2.v20180622-f627448]

Neither the target platform editor not the target platform state view
in Eclipse are showing any errors/warnings at all, and the product
builds just fine using the Eclipse export function.

Is there any way to disable the dependency resolution here?

Thanks in advance for any hint or help!

Cheers

Thorsten

Continue reading on narkive:
Loading...